Bug 5165 - mount.cifs tells free space of remote disk instead of quota-space
mount.cifs tells free space of remote disk instead of quota-space
Status: RESOLVED FIXED
Product: CifsVFS
Classification: Unclassified
Component: kernel fs
2.6
x86 Linux
: P3 minor
: ---
Assigned To: Steve French
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-28 03:58 UTC by Jürgen Mayerhofer
Modified: 2009-07-27 10:59 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jürgen Mayerhofer 2007-12-28 03:58:11 UTC
mount.smbfs tells correct quota-space of remote disk, mount.cifs tells wrong space:

# mount | grep 192
//192.168.105.1/xxx on /mnt/backup type cifs (rw,mand)
//192.168.105.1/xxx on /mnt/backup1 type smbfs (0)

# df | grep -A 1 192
//192.168.105.1/xxx
                     1152359220 501261216 592561564  46% /mnt/backup
//192.168.105.1/xxx
                       73400320  36775936  36624384  51% /mnt/backup1



# cat /proc/fs/cifs/DebugData 
Display Internal CIFS Data Structures for Debugging
---------------------------------------------------
CIFS Version 1.50
Active VFS Requests: 0
Servers:
1) Name: 192.168.105.1  Domain: R-KOM BACKUP Mounts: 1 OS: Unix  
        NOS: Samba 3.0.28       Capability: 0x80f3fd
        SMB session status: 1   TCP status: 1
        Local Users To Server: 1 SecMode: 0x3 Req On Wire: 0
MIDs:

Shares:
1) \\192.168.105.1\xxx Uses: 1 Type: NTFS DevInfo: 0x0 Attributes: 0x2b
PathComponentMax: 255 Status: 1 type: 0
Comment 1 Steve French 2008-09-04 13:29:09 UTC
Could you show the results of running df local on the server too (for comparison)?
Comment 2 Jürgen Mayerhofer 2008-09-05 01:04:44 UTC
seems to be fixed at least with samba 3.0.30 on server, kernel 2.6.25.4 on client.
Comment 3 Shirish S. Pargaonkar 2009-03-20 08:40:00 UTC
I think this is fixed and this bug can be closed.
Please note otherwise.
Comment 4 Jeff Layton 2009-07-27 10:59:32 UTC
Closing as FIXED per Shirish's comment.